[gnome-continuous] manifest: Add patch to work around gtkspell autogen
- From: Colin Walters <walters src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-continuous] manifest: Add patch to work around gtkspell autogen
- Date: Fri, 29 Nov 2013 16:02:34 +0000 (UTC)
commit 768094cae65d391ddc94bf088dcfd106ab9ba083
Author: Colin Walters <walters verbum org>
Date: Fri Nov 29 11:01:57 2013 -0500
manifest: Add patch to work around gtkspell autogen
manifest.json | 1 +
patches/gtkspell-autogen.patch | 202 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 203 insertions(+), 0 deletions(-)
---
diff --git a/manifest.json b/manifest.json
index 9325bb1..00a025d 100644
--- a/manifest.json
+++ b/manifest.json
@@ -998,6 +998,7 @@
"name": "gtkspell3",
"rm-configure": true,
"checksum": "fabf8e670c99c1a91996e0e33fa78b7c023f77efb3e11355cf5aa9bcdc43e4a7",
+ "patches": ["gtkspell-autogen.patch"],
"config-opts": ["--disable-maintainer-mode"]},
{"src": "gnome:gtkhtml"},
diff --git a/patches/gtkspell-autogen.patch b/patches/gtkspell-autogen.patch
new file mode 100644
index 0000000..64420ff
--- /dev/null
+++ b/patches/gtkspell-autogen.patch
@@ -0,0 +1,202 @@
+From fb822b30a9e5f16a25c39fda7dcbedd8275f5cd3 Mon Sep 17 00:00:00 2001
+From: Colin Walters <walters verbum org>
+Date: Fri, 29 Nov 2013 11:01:03 -0500
+Subject: [PATCH] Use standard autogen.sh
+
+The one from the tarball breaks since it wants ACLOCAL_FLAGS to
+be defined.
+---
+ autogen.sh | 174 +++++-------------------------------------------------------
+ 1 files changed, 14 insertions(+), 160 deletions(-)
+
+diff --git a/autogen.sh b/autogen.sh
+index dced313..ab5aa84 100755
+--- a/autogen.sh
++++ b/autogen.sh
+@@ -4,169 +4,23 @@
+ srcdir=`dirname $0`
+ test -z "$srcdir" && srcdir=.
+
+-DIE=0
+-
+-if [ -n "$GNOME2_DIR" ]; then
+- ACLOCAL_FLAGS="-I $GNOME2_DIR/share/aclocal $ACLOCAL_FLAGS"
+- LD_LIBRARY_PATH="$GNOME2_DIR/lib:$LD_LIBRARY_PATH"
+- PATH="$GNOME2_DIR/bin:$PATH"
+- export PATH
+- export LD_LIBRARY_PATH
+-fi
+-
+-(test -f $srcdir/configure.ac) || {
++PKG_NAME="Evolution"
++REQUIRED_AUTOCONF_VERSION=2.58
++REQUIRED_AUTOMAKE_VERSION=1.10
++REQUIRED_LIBTOOL_VERSION=2.2
++REQUIRED_INTLTOOL_VERSION=0.35.5
++
++(test -f $srcdir/configure.ac \
++ && test -f $srcdir/ChangeLog \
++ && test -d $srcdir/shell) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+- echo " top-level package directory"
++ echo " top-level $PKG_NAME directory"
+ exit 1
+ }
+
+-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+- echo
+- echo "**Error**: You must have \`autoconf' installed."
+- echo "Download the appropriate package for your distribution,"
+- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+- DIE=1
+-}
+-
+-(grep "^IT_PROG_INTLTOOL" $srcdir/configure.ac >/dev/null) && {
+- (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+- echo
+- echo "**Error**: You must have \`intltool' installed."
+- echo "You can get it from:"
+- echo " ftp://ftp.gnome.org/pub/GNOME/"
+- DIE=1
+- }
+-}
+-
+-(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.ac >/dev/null) && {
+- (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
+- echo
+- echo "**Error**: You must have \`xml-i18n-toolize' installed."
+- echo "You can get it from:"
+- echo " ftp://ftp.gnome.org/pub/GNOME/"
+- DIE=1
+- }
+-}
+-
+-(grep "^LT_INIT" $srcdir/configure.ac >/dev/null) && {
+- (libtool --version) < /dev/null > /dev/null 2>&1 || {
+- echo
+- echo "**Error**: You must have \`libtool' installed."
+- echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+- DIE=1
+- }
+-}
+-
+-(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.ac >/dev/null) && {
+- (grep "sed.*POTFILES" $srcdir/configure.ac) > /dev/null || \
+- (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+- echo
+- echo "**Error**: You must have \`glib' installed."
+- echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
+- DIE=1
+- }
+-}
+-
+-(automake --version) < /dev/null > /dev/null 2>&1 || {
+- echo
+- echo "**Error**: You must have \`automake' installed."
+- echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+- DIE=1
+- NO_AUTOMAKE=yes
+-}
+-
+-(gtkdocize --version) < /dev/null > /dev/null 2>&1 || {
+- echo
+- echo "**Error**: You must have \`gtk-doc' installed."
+- echo "You can get it from: http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
+- DIE=1
+-}
+-
+-
+-# if no automake, don't bother testing for aclocal
+-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+- echo
+- echo "**Error**: Missing \`aclocal'. The version of \`automake'"
+- echo "installed doesn't appear recent enough."
+- echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+- DIE=1
++which gnome-autogen.sh || {
++ echo "You need to install gnome-common from the GNOME git"
++ exit 1
+ }
+
+-if test "$DIE" -eq 1; then
+- exit 1
+-fi
+-
+-if test -z "$*"; then
+- echo "**Warning**: I am going to run \`configure' with no arguments."
+- echo "If you wish to pass any to it, please specify them on the"
+- echo \`$0\'" command line."
+- echo
+-fi
+-
+-case $CC in
+-xlc )
+- am_opt=--include-deps;;
+-esac
+-
+-for coin in `find $srcdir -path $srcdir/CVS -prune -o -name configure.ac -print`
+-do
+- dr=`dirname $coin`
+- if test -f $dr/NO-AUTO-GEN; then
+- echo skipping $dr -- flagged as no auto-gen
+- else
+- echo processing $dr
+- ( cd $dr
+-
+- aclocalinclude="$ACLOCAL_FLAGS"
+- echo "Creating folder m4"
+- mkdir $srcdir/m4
+- if grep "^AM_GLIB_GNU_GETTEXT" configure.ac >/dev/null; then
+- echo "Creating $dr/aclocal.m4 ..."
+- test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
+- echo "Running glib-gettextize... Ignore non-fatal messages."
+- echo "no" | glib-gettextize --force --copy
+- echo "Making $dr/aclocal.m4 writable ..."
+- test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
+- fi
+- if grep "^IT_PROG_INTLTOOL" configure.ac >/dev/null; then
+- echo "Running intltoolize..."
+- intltoolize --copy --force --automake
+- fi
+- if grep "^AM_PROG_XML_I18N_TOOLS" configure.ac >/dev/null; then
+- echo "Running xml-i18n-toolize..."
+- xml-i18n-toolize --copy --force --automake
+- fi
+- if grep "^LT_INIT" configure.ac >/dev/null; then
+- if test -z "$NO_LIBTOOLIZE" ; then
+- echo "Running libtoolize..."
+- libtoolize --force --copy
+- fi
+- fi
+- GTKDOCIZE=`which gtkdocize`
+- if test -z $GTKDOCIZE; then
+- echo "gtkdocize not found, skipping"
+- else
+- echo "Running gtkdocize..."
+- gtkdocize || exit $?
+- fi
+- echo "Running aclocal --install $aclocalinclude ..."
+- aclocal --install $aclocalinclude
+- if grep "^A[CM]_CONFIG_HEADER" configure.ac >/dev/null; then
+- echo "Running autoheader..."
+- autoheader
+- fi
+- echo "Running automake --gnu $am_opt ..."
+- automake --add-missing --copy --gnu $am_opt
+- echo "Running autoconf ..."
+- autoconf
+- )
+- fi
+-done
+-
+-if test x$NOCONFIGURE = x; then
+- echo Running $srcdir/configure "$@" ...
+- $srcdir/configure "$@" \
+- && echo Now type \`make\' to compile. || exit 1
+-else
+- echo Skipping configure process.
+-fi
++USE_GNOME2_MACROS=1 . gnome-autogen.sh
+--
+1.7.1
+
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]